OSSIM-ICP(1)

NAME
ossim-icp - ossim-icp

SYNOPSIS
ossim-icp [options] <output_type> <input_file> <output_file>

DESCRIPTION
Description: ossim-icp copies any supported input image format to any supported output image format format

OPTIONS

--disable-elev
    Will disable the elevation

--disable-notify
    Takes an argument. Arguments are ALL, WARN, NOTICE, INFO, FATAL, DEBUG. If you want multiple disables then just do multiple --disable-notify on the command line. All argument are case insensitive. Default is all are enabled.

--disable-plugin
    Will disable the plugin loader

--filter-spec <fname>
    This is an external file spec that describes a chain for filtering the input image.

--ossim-logfile
    takes a logfile as an argument. All output messages are redirected to the specified log file. By default there is no log file and all messages are enabled.

--pixel-type <type>
    Valid values: area or point, this will determine if the tie point is upper left corner of the upper left pixel (area) or the center of the upper left corner (point), default=point. NOTE: This option will only affect the tiff writer.

--reader-prop <string>
    Adds a property to send to the reader. format is name=value

--use-mask [<fname>]
    Optionally specify name of mask file to use for masking the input image. If no filename given, then the default mask filename is used.

--writer-prop <string>
    Adds a property to send to the writer. format is name=value

-K  specify individual keywords to add to the preferences keyword list: name=value

-L or --end-line <n>
    Which end line do you wish to copy from the input. If none is given then max line is used

-P  specify a preference file to load

-T  specify the classes to trace, ex: ossimInit|ossimImage.* will trace ossimInit and all ossimImage classes

-a or --use-scalar-remapper
    Uses scalar remapper, transforms to 8-bit

-b or --bands <n,n...>
    uses the specified bands: ex. "1, 2, 4" will select bands 1 2 and 4 of the input image. Note: it is 1 based

-c or --compression-type <type>
    Uses compression. Currently valid for only tiff output -c jpeg will use jpeg compression

-e or --entry <n>
    For multi image handlers which entry do you wish to extract

-g  Convert to grey scale.

-h or --help
    Display this information

-l or --start-line <n>
    Which start line do you wish to copy from the input. If none is given then 0 is used

-o or --create-overview
    Creates and overview for the output image

-p or --end-sample <n>
    The end sample you wish to copy from the input. If none is given then max sample is used

-q or --compression-quality <n>
    Uses compression. Valid for jpeg type. default is 75 where 100 is best and 1 is worst

-r or --res-level <n>
    Which res level to extract from the input: ex -r 1 will get res level 1

-s or --start-sample <n>
    Which start sample do you wish to copy from the input. If none is given then 0 is used

-t or --create-thumbnail <n>
    Takes an argument which is the maximum pixel dimension desired.

-w or --tile-width <n>
    Defines the tile width for the handlers that support tiled output

Valid output writer types:

tiff_strip tiff_strip_band_separate tiff_tiled tiff_tiled_band_separate jpeg general_raster_bip general_raster_bil general_raster_bsq general_raster_bip_envi general_raster_bil_envi general_raster_bsq_envi nitf_block_band_separate nitf_block_band_sequential nitf20_block_band_separate nitf20_block_band_sequential ossim_pdf

SEE ALSO
The full documentation for ossim-icp is maintained as a Texinfo manual. If the info and ossim-icp programs are properly installed at your site, the command

    info ossim-icp

should give you access to the complete manual.